# -*-makefile-*-
# $Id: template-make 8785 2008-08-26 07:48:06Z wsa $
#
# Copyright (C) 2008 by Robert Schwebel <r.schwebel@pengutronix.de>
# Copyright (C) 2008 by Juergen Beisert <j.beisert@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PHYCORE_TOUCH) += phycore-touch

#
# Paths and names
#
PHYCORE_TOUCH_VERSION	:= 1.0.0
PHYCORE_TOUCH		:= phycore-touch-$(PHYCORE_TOUCH_VERSION)
PHYCORE_TOUCH_SUFFIX	:=
PHYCORE_TOUCH_URL	:=
PHYCORE_TOUCH_SOURCE	:=
PHYCORE_TOUCH_DIR	:= $(BUILDDIR)/$(PHYCORE_TOUCH)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-touch.extract:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

PHYCORE_TOUCH_PATH	:= PATH=$(CROSS_PATH)
PHYCORE_TOUCH_ENV 	:= $(CROSS_ENV)

#
# autoconf
#
PHYCORE_TOUCH_AUTOCONF := $(CROSS_AUTOCONF_USR)

$(STATEDIR)/phycore-touch.prepare:
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-touch.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-touch.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-touch.targetinstall:
	@$(call targetinfo)

	@$(call install_init, phycore-touch)
	@$(call install_fixup, phycore-touch,PACKAGE,phycore-touch)
	@$(call install_fixup, phycore-touch,PRIORITY,optional)
	@$(call install_fixup, phycore-touch,VERSION,$(PHYCORE_TOUCH_VERSION))
	@$(call install_fixup, phycore-touch,SECTION,base)
	@$(call install_fixup, phycore-touch,AUTHOR,"Juergen Beisert <j.beisert@pengutronix.de>")
	@$(call install_fixup, phycore-touch,DEPENDS,)
	@$(call install_fixup, phycore-touch,DESCRIPTION,missing)

	@$(call install_copy, phycore-touch, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/ts.conf, \
		/etc/ts.conf, n)

	@$(call install_finish, phycore-touch)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

phycore-touch_clean:
	rm -rf $(STATEDIR)/phycore-touch.*
	rm -rf $(PKGDIR)/phycore-touch_*
	rm -rf $(PHYCORE_TOUCH_DIR)

# vim: syntax=make
